Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.util
Class R01FPager

    java.lang.Object
      com.ejie.r01f.util.R01FPager

All Implemented Interfaces:
  java.io.Serializable

public class R01FPager
extends java.lang.Object
implements java.io.Serializable

Clase que modela la paginación en un conjunto de resultados Esencialmente es una lista que contiene el código de los primeros elementos de cada página y también contiene el número total de elementos encontrados. Este objeto será devuelto por el procedimiento que inicializa una búsqueda y es utilizado en el cliente para navegar a través de las páginas. Fecha de creación: (19/7/00 11:57:14)

See Also:
  Serialized Form

Constructor Summary
`R01FPager()` Constructor Pager
`R01FPager(int inPageSize)`

Method Summary
`void` | `addPageElement(java.lang.Object value)` Mete un nueva pagina en el registro de paginas OJO!!!!!
`int[]` | `getCurrentBlockPageNumbers()` Sirve para crear barras de navegación en las que las páginas se dividen en bloques.
`java.lang.Object` | `getCurrentPageElement()` Devuelve el código del primer elemento de la página actual
`int` | `getCurrentPageNumber()` Devuelve el número de página actual
`int` | `getElementCount()` Devuelve el número de elementos encontrados en la búsqueda.
`java.lang.Object` | `getNextPageElement()` Devuelve el código del primer elemento de la página siguiente.
`int` | `getPageCount()` Devuelve el número de páginas de la búsqueda
`java.lang.Object` | `getPageElement(int inPage)` Devuelve el código del primer elemento de la página que se indica
`int` | `getPageFirstElementNumber()` Devuelve el número de orden del primer elemento de la página Si por ejemplo hay 12 páginas de 10 elementos cada una, la página 2 tendrá los elementos del 11 al 20.
`int` | `getPageLastElementNumber()` Devuelve el número de orden del primer elemento de la página Si por ejemplo hay 12 páginas de 10 elementos cada una, la página 2 tendrá los elementos del 11 al 20.
`int` | `getPageSize()` Devuelve el tamaño de las páginas de resultados.
`java.lang.Object` | `getPrevPageElement()` Devuelve el código del primer elemento de la página anterior.
`void` | `goToNextPage()` Establece el puntero en la siguiente página
`void` | `goToPage(int newPage)` Establece el puntero en la página indicada
`void` | `goToPrevPage()` Establece el puntero en la página anterior
`static void` | `main(java.lang.String[] args)`
`void` | `setBlockSize(int newBlockSize)` Sirve para crear barras de navegación en las que las páginas se dividen en bloques.
`void` | `setElementCount(int elementCount)` Establece el número de elementos encontrados.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### R01FPager

    public R01FPager()
              throws java.lang.IllegalArgumentException

  Constructor Pager

### R01FPager

    public R01FPager(int inPageSize)
              throws java.lang.IllegalArgumentException

Method Detail

### getPageSize

    public int getPageSize()

  Devuelve el tamaño de las páginas de resultados. Este tamaño se establece en los constructores aunque por defecto es 10

  Returns:
    (int) El tamaño de las páginas

### setBlockSize

    public void setBlockSize(int newBlockSize)

  Sirve para crear barras de navegación en las que las páginas se dividen en bloques. Ejemplo: Si se han encontrado 23 páginas de resultados se puede mostrar una barra de navegación con marcadores a 5 páginas como la siguiente: 1 2 3 4 5 Pg Sig A medida que se va paginando, la ventana de las páginas en la barra de navegación se va desplazando: Pg Ant 6 7 8 9 10 Pg Sig Este método establece el tamaño del bloque (número de páginas en la barra de navegación)

### getCurrentBlockPageNumbers

    public int[] getCurrentBlockPageNumbers()

  Sirve para crear barras de navegación en las que las páginas se dividen en bloques. Ejemplo: Si se han encontrado 23 páginas de resultados se puede mostrar una barra de navegación con marcadores a 5 páginas como la siguiente: Pg Ant 1 2 3 4 5 Pg Sig A medida que se va paginando, la ventana de las páginas en la barra de navegación se va desplazando: Pg Ant 6 7 8 9 10 Pg Sig Este método devuelve un array con los números de las páginas en el bloque actual NOTA: El bloque actual depende de la página actual.

  Returns:
    int[] Un array con los números de las páginas en el bloque actual

### getCurrentPageElement

    public java.lang.Object getCurrentPageElement()

  Devuelve el código del primer elemento de la página actual

  Returns:
    (Object) Código del primer elemento de la página que se indica

### getNextPageElement

    public java.lang.Object getNextPageElement()

  Devuelve el código del primer elemento de la página siguiente.

  Returns:
    (Object) El código del primer elemento de la siguiente página

### getPrevPageElement

    public java.lang.Object getPrevPageElement()

  Devuelve el código del primer elemento de la página anterior.

  Returns:
    Object

### getPageElement

    public java.lang.Object getPageElement(int inPage)
                                    throws java.lang.IllegalArgumentException

  Devuelve el código del primer elemento de la página que se indica

  Returns:
    (Object) Código del primer elemento de la página que se indica
  Throws:
    `java.lang.IllegalArgumentException`

### getPageFirstElementNumber

    public int getPageFirstElementNumber()

  Devuelve el número de orden del primer elemento de la página Si por ejemplo hay 12 páginas de 10 elementos cada una, la página 2 tendrá los elementos del 11 al 20. Este método devolverá 11

  Returns:
    int

### getPageLastElementNumber

    public int getPageLastElementNumber()

  Devuelve el número de orden del primer elemento de la página Si por ejemplo hay 12 páginas de 10 elementos cada una, la página 2 tendrá los elementos del 11 al 20. Este método devolverá 20

  Returns:
    int

### getCurrentPageNumber

    public int getCurrentPageNumber()

  Devuelve el número de página actual

  Returns:
    int

### getElementCount

    public int getElementCount()

  Devuelve el número de elementos encontrados en la búsqueda.

  Returns:
    int

### setElementCount

    public void setElementCount(int elementCount)
                         throws java.lang.IllegalArgumentException

  Establece el número de elementos encontrados.

  Throws:
    `java.lang.IllegalArgumentException`

### getPageCount

    public int getPageCount()

  Devuelve el número de páginas de la búsqueda

  Returns:
    (int) El número de páginas encontradas

### goToNextPage

    public void goToNextPage()

  Establece el puntero en la siguiente página

### goToPage

    public void goToPage(int newPage)
                  throws java.lang.IllegalArgumentException

  Establece el puntero en la página indicada

  Throws:
    `java.lang.IllegalArgumentException`

### goToPrevPage

    public void goToPrevPage()

  Establece el puntero en la página anterior

### addPageElement

    public void addPageElement(java.lang.Object value)

  Mete un nueva pagina en el registro de paginas OJO!!!!! Solo se introduce una pagina en el mapa de paginas si la parte decimal de (registro/pageSize) es cero, quiere decir que se está en un registro múltiplo del tamaño de página (primer registro de la página), por lo que hay que añadir el código de este registro al hash.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD